Subject: Re: could linux support to configure the PLB-PCI bridge of PPC440 into adapter mode

From: Matthias Fuchs <[email-masked]>
Date: Mon, 19 Jun 2006 16:11:54 +0200

Hi chen,

it's not easy to setup the PCI-to-PLB mapping in a generic way so that 
is gets into the kernel. Also it might be too late when the adapter OS 
configures the bridge. The bridge must be setup quickly after reset so 
that the host OS can assign resources to the card. The bootloader of 
your board might be a good place to setup of the adapter stuff. At least 
number and sizes of the needed address spaces should be setup early.
The PLB address can be setup or modified later (e.g. from the target OS).

> hi,now I want to use PPC440GX as PCI adapter card bridge. according to user 
> manual, the PLB-PCI bridge should be configured to Adapter mode. after 
> check some code of PCI of linux, i find the linux only support configuring 
> the PLB-PCI bridge into HOST mode. Is my understanding correct ? if the 
> normal version of linux don't support the adapter mode, could i found the 
> patch?
Probably not.

Matthias